﻿@using System.Web.UI.WebControls;

<table>
    
    <tr>
        <td>Supplier</td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                    sett => {
                        sett.Name = "gridSupplierForm";
                        sett.GridProperties.CallbackRouteValues = new { Controller = "MasterBuildOut", Action = "getSupplierData" };
                        sett.GridProperties.ClientSideEvents.BeginCallback = "gridSupplierFormCallback";
                        sett.GridProperties.KeyFieldName = "SUPPLIER";
                        sett.GridProperties.ClientSideEvents.RowClick = "setSupplier";
                        sett.Width = Unit.Pixel(190);
                        sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                        sett.GridProperties.Width = Unit.Pixel(400);
                        sett.GridProperties.SettingsPager.NumericButtonCount = 3;
                        //sett.GridProperties.CommandColumn.Width = Unit.Percentage(10);

                        sett.GridProperties.Columns.Add(
                             l =>
                             {
                                 l.Name = "SUPPLIER CODE - PLANT";
                                 l.FieldName = "SUPPLIER";
                                 l.Caption = "Supplier Code - Plant";
                                 l.Width = Unit.Pixel(150);
                                 l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                             }
                           );

                        sett.GridProperties.Columns.Add(
                            l =>
                            {
                                l.Name = "SUPPLIER NAME";
                                l.FieldName = "SUPPLIER_NAME";
                                l.Caption = "Supplier Name";
                                //l.Width = Unit.Pixel(250);
                                l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            }
                          );
                        }
                    ).Bind(ViewData["supplierDatas"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>Dock</td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                    sett => {
                        sett.Name = "gridDockForm";
                        sett.GridProperties.CallbackRouteValues = new { Controller = "MasterBuildOut", Action = "getDockData" };
                        sett.GridProperties.ClientSideEvents.BeginCallback = "gridDockFormCallback";
                        sett.GridProperties.ClientSideEvents.RowClick = "setDock";
                        sett.GridProperties.KeyFieldName = "DOCK_CD";
                        sett.Width = Unit.Pixel(190);
                        sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                        sett.GridProperties.Width = Unit.Pixel(190);
                        sett.GridProperties.SettingsPager.NumericButtonCount = 3;
                        
                        sett.GridProperties.Columns.Add(
                             l =>
                             {
                                 l.Name = "DOCK_CD";
                                 l.FieldName = "DOCK_CD";
                                 l.Caption = "Dock Code";
                                 l.Width = Unit.Pixel(80);
                                 l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                             }
                           );

                        sett.GridProperties.Columns.Add(
                         l =>
                         {
                             l.Name = "DOCK_NAME";
                             l.FieldName = "DOCK_NAME";
                             l.Caption = "Dock Name";
                             //l.Width = Unit.Pixel(110);
                             //l.MinWidth = 8000;
                             l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                         }
                       );
                        
                        }
                    ).Bind(ViewData["dockDatas"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td style="width: 120px;">Part No</td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                    sett => {
                        sett.Name = "gridPartForm";
                        sett.GridProperties.CallbackRouteValues = new { Controller = "MasterBuildOut", Action = "getPartData" };
                        sett.GridProperties.ClientSideEvents.BeginCallback = "gridPartFormCallback";
                        sett.GridProperties.KeyFieldName = "PART_NO";
                        sett.GridProperties.ClientSideEvents.RowClick = "setPartName";
                        
                        sett.Width = Unit.Pixel(190);
                        sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                        sett.GridProperties.Width = Unit.Pixel(400);
                        sett.GridProperties.SettingsPager.NumericButtonCount = 3;
                        //sett.GridProperties.CommandColumn.Width = Unit.Percentage(10);

                        sett.GridProperties.Columns.Add(
                             l =>
                             {
                                 l.Name = "PART_NO";    
                                 l.FieldName = "PART_NO";
                                 l.Caption = "Part No";
                                 l.Width = Unit.Pixel(100);
                                 l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                             }
                           );
                        sett.GridProperties.Columns.Add(
                             l =>
                             {
                                 l.Name = "PART_NAME";
                                 l.FieldName = "PART_NAME";
                                 l.Caption = "Part Name";
                                 l.Width = Unit.Pixel(200);
                                 l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                             }
                           );

                        sett.GridProperties.Columns.Add(
                             l =>
                             {
                                 l.Name = "KANBAN_NO";
                                 l.FieldName = "KANBAN_NO";
                                 l.Caption = "Unique No";
                                 //l.Width = Unit.Pixel(220);
                                 l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                             }
                           );
                    
                        }
                    ).Bind(ViewData["partDatas"]).GetHtml()


        </td>
    </tr>
    <tr>
        <td>Part Name</td>
        <td>
            @Html.DevExpress().TextBox(
                text =>
                {
                    text.Name = "txtPartName";
                    text.ClientEnabled = false;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>Unique No</td>
        <td>
            @Html.DevExpress().TextBox(
                text =>
                {
                    text.Name = "txtKanbanNo";
                    text.ClientEnabled = false;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>Qty Per Box</td>
        <td>
            @Html.DevExpress().TextBox(
                text =>
                {
                    text.Name = "txtQtyPerBox";
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td><div id="inactiveFormLabel">Inactive Flag</div></td>
        <td>
            @Html.DevExpress().ComboBox(
                edtSettings =>
                {
                    edtSettings.Name = "cmbInactiveForm";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(142);
                    edtSettings.Properties.Items.Add("Active");
                    edtSettings.Properties.Items.Add("Inactive");
                    edtSettings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    edtSettings.Width = Unit.Pixel(130);
                }).GetHtml()

        </td>
    </tr>
    <tr>
        <td></td>
        <td>
            <div style="width:70px;float:left;">
            @Html.DevExpress().Button(
                                setting =>
                                {
                                    setting.Name = "btnSave";
                                    setting.Text = "Save";
                                    setting.Width = Unit.Pixel(70);
                                    setting.UseSubmitBehavior = true;
                                    setting.Style.Add("display", "inline-table");
                                    setting.ClientSideEvents.Click = "Save";
                                    setting.Style.Add("float", "left");
                                }
                                ).GetHtml()    
            </div>
            <div style="width: 3px;float: left;">&nbsp</div>
            <div style="width:70px;float:left;">
            @Html.DevExpress().Button(
                                setting =>
                                {
                                    setting.Name = "btnCancel";
                                    setting.Text = "Cancel";
                                    setting.Width = Unit.Pixel(70);
                                    setting.UseSubmitBehavior = true;
                                    setting.Style.Add("display", "inline-table");
                                    setting.ClientSideEvents.Click = "Cancel";
                                    setting.Style.Add("float", "left");
                                }
                                ).GetHtml()    

        </div>
        </td>

    </tr>
</table>